List emailAuthenticationMethods
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Retrieve a list of a user's email Authentication Method objects and their properties. This call will only return a single object as only one email method can be set on users.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
Permissions acting on self
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | UserAuthenticationMethod.Read, UserAuthenticationMethod.ReadWrite |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Not supported. |
Permissions acting on other users
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | UserAuthenticationMethod.Read.All, UserAuthenticationMethod.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | UserAuthenticationMethod.Read.All, UserAuthenticationMethod.ReadWrite.All |
For delegated scenarios where an admin is acting on another user, the admin needs one of the following roles:
- Global administrator
- Global reader
- Privileged authentication administrator
- Authentication administrator
HTTP request
GET /me/authentication/emailMethods
GET /users/{id | userPrincipalName}/authentication/emailMethods
Optional query parameters
This method does not support optional query parameters to customize the response.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token} |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of emailAuthenticationMethod objects in the response body.
Examples
Request
GET https://graph.microsoft.com/beta/me/authentication/emailMethods
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "3ddfcfc8-9383-446f-83cc-3ab9be4be18f",
"emailAddress": "Kim@contoso.com"
}
]
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk